﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.TestManagement.Client;

namespace TestPlanWordWriter.Common
{
    public class TestStepInfo
    {
        public int Id { get; private set; }
        public string Title { get; private set; }
        public string Description { get; private set; }
        public string ExpectedResult { get; private set; }

        public TestStepInfo(ITestStep step)
        {
            Id = step.Id;
            ExpectedResult = step.ExpectedResult;
            Title = step.Title;
            Description = step.Description;
        }
    }
}
