﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.TestManagement.Client;

namespace TestPlanWordWriter.Common
{
    public class TestCaseInfo
    {
        public int Id { get; private set; }
        public string Title { get; private set; }
        public string Description { get; private set; }

        public List<TestStepInfo> TestSteps { get; private set; }

        public TestCaseInfo(ITestCase testCase, List<TestStepInfo> testSteps)
        {
            this.Id = testCase.Id;
            this.Title = testCase.Title;
            this.Description = testCase.Description;

            this.TestSteps = testSteps;
        }
    }
}
